from odoo import models, fields

class BrosseBank(models.Model):
    _name = 'brosse.bank'
    _description = 'Bank'

    name = fields.Char(string='Bank Name', required=True)
    bank_code = fields.Char(string='Bank Code', required=True)
    iban_code = fields.Char(string='IBAN Code', required=True)
    account_ids = fields.Many2many('brosse.bank.account', string='Bank Accounts')
